GullAngryEnemy = class(GullEnemy, function(o, x, y, world)
	GullEnemy.init(o, x, y, world, {animation=gulAngryAnimation, settingName='gull_angry_', rate=40})
end)

GullZombieEnemy = class(GullEnemy, function(o, x, y, world)
	GullEnemy.init(o, x, y, world, {settingName='gull_zombie_', rate=80, tint={100, 255, 100}})
end)

BalloonEnemy = class(GullEnemy, function(o, x, y, world)
	GullEnemy.init(o, x, y, world, {animation=balloonAnimation, settingName='balloon_', rate=80, noFeathers=true})
	o.particleOffsetPosition = Vec2(54, 65)
	o.particleOffsetPosition:mult(r_scale*0.5)
end)

BalloonAngryEnemy = class(GullEnemy, function(o, x, y, world)
	GullEnemy.init(o, x, y, world, {animation=balloonAnimation, settingName='balloon_angry_', rate=80, tint={255, 100, 100}, noFeathers=true})
	o.particleOffsetPosition = Vec2(54, 65)
	o.particleOffsetPosition:mult(r_scale*0.5)
end)

BalloonZombieEnemy = class(GullEnemy, function(o, x, y, world)
	GullEnemy.init(o, x, y, world, {animation=balloonAnimation, settingName='balloon_zombie_', rate=80, tint={100, 255, 100}, noFeathers=true})
	o.particleOffsetPosition = Vec2(54, 65)
	o.particleOffsetPosition:mult(r_scale*0.5)
end)

DinoEnemy = class(GullEnemy, function(o, x, y, world)
	GullEnemy.init(o, x, y, world, {animation=dinoAnimation, settingName='dino_', rate=60, noFeathers=true})
	o.particleOffsetPosition = Vec2(53, 153)
	o.particleOffsetPosition:mult(r_scale*0.5)
end)

DinoAngryEnemy = class(GullEnemy, function(o, x, y, world)
	GullEnemy.init(o, x, y, world, {animation=dinoAnimation, settingName='dino_angry_', rate=40, tint={255, 100, 100}, noFeathers=true})
	o.particleOffsetPosition = Vec2(53, 153)
	o.particleOffsetPosition:mult(r_scale*0.5)
end)

DinoZombieEnemy = class(GullEnemy, function(o, x, y, world)
	GullEnemy.init(o, x, y, world, {animation=dinoAnimation, settingName='dino_zombie_', rate=80, tint={100, 255, 100}, noFeathers=true})
	o.particleOffsetPosition = Vec2(53, 153)
	o.particleOffsetPosition:mult(r_scale*0.5)
end)